; ..............................................................................
;    File   V100FIR_DEC_V.s
; ..............................................................................

		.equ V100FIR_DEC_VNumTaps, 48

; ..............................................................................
; Allocate and initialize filter taps

	    .section .V100FIR_DEC_Vconst, code ;<-Syntax supported in MPLAB C30
                                         ;v1.30 and later
  		.align 128

V100FIR_DEC_VTaps:
.hword 	0x0058,	0x0071,	0x0090,	0x00B3,	0x00DC,	0x0109,	0x013C,	0x0174,	0x01B1
.hword 	0x01F1,	0x0236,	0x027D,	0x02C5,	0x030F,	0x0357,	0x039E,	0x03E1,	0x0420
.hword 	0x0458,	0x048A,	0x04B2,	0x04D2,	0x04E7,	0x04F2,	0x04F2,	0x04E7,	0x04D2
.hword 	0x04B2,	0x048A,	0x0458,	0x0420,	0x03E1,	0x039E,	0x0357,	0x030F,	0x02C5
.hword 	0x027D,	0x0236,	0x01F1,	0x01B1,	0x0174,	0x013C,	0x0109,	0x00DC,	0x00B3
.hword 	0x0090,	0x0071,	0x0058

; ..............................................................................
; Allocate delay line in (uninitialized) Y data space

       	.section .ydata, data, ymemory  ;<-Syntax supported in MPLAB C30
                                        ;v1.30 and later
        .align 128

V100FIR_DEC_VDelay:
		.space V100FIR_DEC_VNumTaps*2

; ..............................................................................
; Allocate and intialize filter structure

		.section .data
		.global _V100FIR_DEC_VFilter

_V100FIR_DEC_VFilter:
.hword V100FIR_DEC_VNumTaps
.hword psvoffset(V100FIR_DEC_VTaps)
.hword psvoffset(V100FIR_DEC_VTaps)+V100FIR_DEC_VNumTaps*2-1
.hword psvpage(V100FIR_DEC_VTaps)
.hword V100FIR_DEC_VDelay
.hword V100FIR_DEC_VDelay+V100FIR_DEC_VNumTaps*2-1
.hword V100FIR_DEC_VDelay


; ..............................................................................
;    File   A100FIR_DEC_A.s
; ..............................................................................

		.equ A100FIR_DEC_ANumTaps, 48

; ..............................................................................
; Allocate delay line in (uninitialized) Y data space

       	.section .ydata, data, ymemory  ;<-Syntax supported in MPLAB C30
                                        ;v1.30 and later
        .align 128

A100FIR_DEC_ADelay:
		.space A100FIR_DEC_ANumTaps*2

; ..............................................................................
; Allocate and intialize filter structure

		.section .data
		.global _A100FIR_DEC_AFilter

_A100FIR_DEC_AFilter:
.hword A100FIR_DEC_ANumTaps
.hword psvoffset(V100FIR_DEC_VTaps)
.hword psvoffset(V100FIR_DEC_VTaps)+A100FIR_DEC_ANumTaps*2-1
.hword psvpage(V100FIR_DEC_VTaps)
.hword A100FIR_DEC_ADelay
.hword A100FIR_DEC_ADelay+A100FIR_DEC_ANumTaps*2-1
.hword A100FIR_DEC_ADelay
