; ..............................................................................
;    File   V1KFIR_DEC_V.s
; ..............................................................................

		.equ V1KFIR_DEC_VNumTaps, 32

; ..............................................................................
; Allocate and initialize filter taps

	    .section .V1KFIR_DEC_Vconst, code ;<-Syntax supported in MPLAB C30
                                         ;v1.30 and later
  		.align 128

V1KFIR_DEC_VTaps:
.hword 	0xFFC3,	0xFFE0,	0x0012,	0x0061,	0x00D1,	0x0164,	0x021C,	0x02F4,	0x03E8
.hword 	0x04EC,	0x05F6,	0x06F5,	0x07DA,	0x0895,	0x091B,	0x0960,	0x0960,	0x091B
.hword 	0x0895,	0x07DA,	0x06F5,	0x05F6,	0x04EC,	0x03E8,	0x02F4,	0x021C,	0x0164
.hword 	0x00D1,	0x0061,	0x0012,	0xFFE0,	0xFFC3

; ..............................................................................
; Allocate delay line in (uninitialized) Y data space

       	.section .ydata, data, ymemory  ;<-Syntax supported in MPLAB C30
                                        ;v1.30 and later
        .align 128

V1KFIR_DEC_VDelay:
		.space V1KFIR_DEC_VNumTaps*2

; ..............................................................................
; Allocate and intialize filter structure

		.section .data
		.global _V1KFIR_DEC_VFilter

_V1KFIR_DEC_VFilter:
.hword V1KFIR_DEC_VNumTaps
.hword psvoffset(V1KFIR_DEC_VTaps)
.hword psvoffset(V1KFIR_DEC_VTaps)+V1KFIR_DEC_VNumTaps*2-1
.hword psvpage(V1KFIR_DEC_VTaps)
.hword V1KFIR_DEC_VDelay
.hword V1KFIR_DEC_VDelay+V1KFIR_DEC_VNumTaps*2-1
.hword V1KFIR_DEC_VDelay

; ..............................................................................
; ..............................................................................
;    File   _1KFIR_DEC_A.s
; ..............................................................................

		.equ A1KFIR_DEC_ANumTaps, 32

; ..............................................................................
; Allocate and initialize filter taps
; ..............................................................................
; Allocate delay line in (uninitialized) Y data space

      	.section .ydata, data, ymemory  ;<-Syntax supported in MPLAB C30
                                        ;v1.30 and later
        .align 128

A1KFIR_DEC_ADelay:
		.space A1KFIR_DEC_ANumTaps*2

; ..............................................................................
; Allocate and intialize filter structure

		.section .data
		.global _A1KFIR_DEC_AFilter

_A1KFIR_DEC_AFilter:
.hword A1KFIR_DEC_ANumTaps
.hword psvoffset(V1KFIR_DEC_VTaps)
.hword psvoffset(V1KFIR_DEC_VTaps)+A1KFIR_DEC_ANumTaps*2-1
.hword psvpage(V1KFIR_DEC_VTaps)
.hword A1KFIR_DEC_ADelay
.hword A1KFIR_DEC_ADelay+A1KFIR_DEC_ANumTaps*2-1
.hword A1KFIR_DEC_ADelay

; ..............................................................................
